import { TypeRef } from '../../lib/interface';
import Template, { ITemplateFileMap } from '../../lib/Template';
import { ITemplateData } from '../../lib/utility/template';
export default class ClassicTemplate extends Template {
    getTemplateFiles(): Promise<string[]>;
    serialize(templateData: ITemplateData, templateFiles: ITemplateFileMap): string;
    renderDirective(type: TypeRef): Promise<void>;
    renderIndex(): Promise<void>;
    renderType(type: TypeRef): Promise<void>;
}
